Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create substep rerun

POST/workspaces/{organizationId}/substeps/{issueId}/rerun
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Responses
200

Re-dispatch queued for the sub-step

okbooleanrequired
Allowed:true
issueIdstringrequired
ownerAgentstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://pile.nyc/workspaces/string/substeps/string/rerun' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "ok": true,
  "issueId": "string",
  "ownerAgent": "string"
}

Was this page helpful?